Skip to main content
POST
/
organizations
/
{organizationId}
/
alerts
/
{alertId}
Update an alert
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/alerts/{alertId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "notificationChannelIds": [
    "<string>"
  ],
  "rules": {
    "patternMatches": [
      {
        "entityType": "TASK_ID",
        "operatorType": "IS",
        "values": [
          "<string>"
        ]
      }
    ],
    "properties": {
      "dagDurationSeconds": 43230
    }
  },
  "severity": "INFO",
  "type": "DAG_SUCCESS"
}
'
{
  "createdAt": "2022-11-22T04:37:12Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "entityId": "<string>",
  "entityType": "DEPLOYMENT",
  "id": "<string>",
  "name": "<string>",
  "organizationId": "<string>",
  "rules": {
    "properties": "<unknown>",
    "patternMatches": [
      {
        "entityType": "DAG_ID TASK_ID",
        "operatorType": "IS IS_NOT INCLUDES EXCLUDES",
        "values": [
          "<string>"
        ]
      }
    ]
  },
  "severity": "INFO",
  "type": "DAG_SUCCESS",
  "updatedAt": "2022-11-22T04:37:12Z",
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "deploymentId": "<string>",
  "entityName": "<string>",
  "notificationChannels": [
    {
      "createdAt": "2022-11-22T04:37:12Z",
      "definition": "<unknown>",
      "entityId": "<string>",
      "entityType": "ORGANIZATION",
      "id": "<string>",
      "name": "<string>",
      "organizationId": "<string>",
      "type": "SLACK",
      "updatedAt": "2022-11-22T04:37:12Z",
      "deploymentId": "<string>",
      "workspaceId": "<string>"
    }
  ],
  "workspaceId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the alert belongs to.

alertId
string
required

The ID of the alert to update.

Body

application/json

The request body for updating an alert.

name
string

The alert's name.

Required string length: 1 - 500
notificationChannelIds
string[]

The notification channels to send alerts to.

Minimum array length: 1
rules
object
severity
enum<string>

The alert's severity.

Available options:
INFO,
WARNING,
CRITICAL
type
enum<string>

The alert's type.

Available options:
DAG_SUCCESS,
DAG_FAILURE,
DAG_DURATION,
DAG_TIMELINESS,
TASK_DURATION,
TASK_FAILURE

Response

OK

createdAt
string<date-time>
required

The time when the alert was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

createdBy
object
required
entityId
string
required

The ID of the entity the alert is associated with.

entityType
enum<string>
required

The type of entity the alert is associated with.

Available options:
DEPLOYMENT
id
string
required

The alert's ID.

name
string
required

The alert's name.

organizationId
string
required

The ID of the organization the alert is associated with.

rules
object
required
severity
enum<string>
required

The alert's severity.

Available options:
INFO,
WARNING,
CRITICAL
type
enum<string>
required

The alert's type.

Available options:
DAG_SUCCESS,
DAG_FAILURE,
DAG_DURATION,
DAG_TIMELINESS,
TASK_DURATION,
TASK_FAILURE,
DATA_PRODUCT_SLA,
DATA_PRODUCT_PROACTIVE_FAILURE,
DATA_PRODUCT_PROACTIVE_SLA,
AIRFLOW_DB_STORAGE_UNUSUALLY_HIGH,
DEPRECATED_RUNTIME_VERSION,
JOB_SCHEDULING_DISABLED,
WORKER_QUEUE_AT_CAPACITY
updatedAt
string<date-time>
required

The time when the alert was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

updatedBy
object
required
deploymentId
string

The ID of the deployment the alert is associated with.

entityName
string

The name of the entity the alert is associated with.

notificationChannels
object[]

The notification channels to send alerts to.

workspaceId
string

The ID of the workspace the alert is associated with.